%global __requires_exclude pear\\(PHPUnit/Framework.php\\)
%define upstream_name HTML_Common2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.3.1
Release:     	%mkrel 2
Summary:    	Abstract base class for HTML classes (PHP5 port of HTML_Common package)
License: 	BSD License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/HTML_Common2-%{version}.tgz
URL: 		https://pear.php.net/package/HTML_Common2
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
HTML_Common2 package provides methods for HTML code display and attributes
handling.
* Provides methods to set, remove, merge HTML attributes.
* Handles global document options (charset, linebreak and indentation
characters).
* Provides methods to handle indentation and HTML comments (useful in
subclasses).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Common2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Common2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Common2
fi

%files
%{peardir}/*
%{xmldir}/HTML_Common2.xml


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.3.1-2.mga10
+ Revision: 2213666
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 mokraemer <mokraemer> 2.3.1-1.mga9
+ Revision: 1839446
- new version 2.3.1

* Wed Mar 23 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1820641
- Mageia 9 Mass Rebuild

* Sun Apr 25 2021 mokraemer <mokraemer> 2.2.0-1.mga9
+ Revision: 1719780
- new version 2.2.0

* Wed Feb 12 2020 umeabot <umeabot> 2.1.1-6.mga8
+ Revision: 1498880
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.1.1-5.mga7
+ Revision: 1273212
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.1.1-4.mga6
+ Revision: 947772
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 739758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-2.mga5
+ Revision: 687267
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jul 05 2014 spuhler <spuhler> 2.1.1-1.mga5
+ Revision: 643982
- upgrade to ver. 2.1.1

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-4.mga4
+ Revision: 528048
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 2.1.0-3.mga4
+ Revision: 443317
- reversed last change since upstream still hasn't fixed the problem

* Sat Jun 15 2013 spuhler <spuhler> 2.1.0-2.mga4
+ Revision: 443226
- removed the file exception

* Sat Jun 15 2013 spuhler <spuhler> 2.1.0-1.mga4
+ Revision: 443209
- upgrade to version 2.1.0

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-3.mga3
+ Revision: 376201
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 2.0.0-2.mga2
+ Revision: 219507
- added define _requires_exceptions pear(PHPUnit/Framework.php)

* Mon Mar 05 2012 spuhler <spuhler> 2.0.0-1.mga2
+ Revision: 218447
- upgrade to 2.0.0
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 2.0.0-0.beta1.6.mga1
+ Revision: 47168
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_Common2


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.beta1.6mdv2011.0
+ Revision: 613669
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-0.beta1.5mdv2010.1
+ Revision: 477861
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.0.0-0.beta1.4mdv2010.0
+ Revision: 441112
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.beta1.3mdv2009.1
+ Revision: 322110
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.beta1.2mdv2009.0
+ Revision: 236857
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.beta1.1mdv2008.1
+ Revision: 107005
- 2.0.0beta1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2008.0
+ Revision: 15674
- 0.3.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2007.0
+ Revision: 81609
- Import php-pear-HTML_Common2

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

